%define PYTHON_VERSION %(python -c 'import sys; print sys.version[:3],')
%define NEXT_PYTHON_VERSION %(python -c 'import sys; print "%d.%d" % (sys.version_info[0], sys.version_info[1]+1),')

Version: 0.4.1
Summary: Untrusted/encrypted backup using rsync algorithm
Name: duplicity
Release: 0.fdr.3.1
Epoch: 0
URL: http://www.nongnu.org/duplicity/
Source: http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python >= 0:%{PYTHON_VERSION}, python < 0:%{NEXT_PYTHON_VERSION}, gnupg >= 0:1.0.6
BuildRequires: python-devel >= 0:2.2, librsync-devel >= 0:0.9.6

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server.  In theory many remote backends are possible;
right now local, ssh/scp, ftp, and rsync backends are written.
Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup.  Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, etc., but not
hard links.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root $RPM_BUILD_ROOT
# Produce .pyo files for %ghost directive later
python -Oc 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT/%{_libdir}/python%{PYTHON_VERSION}/site-packages/duplicity'")'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/rdiffdir
%{_bindir}/duplicity
%{_mandir}/man1/duplicity*
%{_mandir}/man1/rdiffdir*
%dir %{_libdir}/python%{PYTHON_VERSION}/site-packages/duplicity
%{_libdir}/python%{PYTHON_VERSION}/site-packages/duplicity/*.py
%{_libdir}/python%{PYTHON_VERSION}/site-packages/duplicity/*.so
%{_libdir}/python%{PYTHON_VERSION}/site-packages/duplicity/*.pyc
%ghost %{_libdir}/python%{PYTHON_VERSION}/site-packages/duplicity/*.pyo
%doc CHANGELOG COPYING README

%changelog
* Sun Oct 05 2003 Ben Escoto <bescoto@stanford.edu> - 0:0.4.1-0.fdr.3
- More hints from Fedora QA (ville.skytta@iki.fi)
* Sat Aug 09 2003 Ben Escoto <bescoto@stanford.edu> - 0:0.4.1-0.fdr.2
- Repackaging for Fedora
* Sun Aug 30 2002 Ben Escoto <bescoto@stanford.edu>
- Initial RPM
